import java.io.IOException;
import java.io.InputStream;
import java.net.URL;

import com.frevvo.forms.client.ApplicationEntry;
import com.frevvo.forms.client.ApplicationFeed;
import com.frevvo.forms.client.FormsService;
import com.frevvo.forms.client.UserEntry;
import com.google.gdata.data.media.MediaStreamSource;
import com.google.gdata.util.ServiceException;

public class ApiHelper {
	static public ApplicationEntry uploadNewApplication(FormsService service, ApplicationFeed feed, InputStream is) throws ServiceException, IOException {
        MediaStreamSource ms = new MediaStreamSource(is, "application/zip");
        ApplicationEntry entry = feed.insert(ms);
        return entry;
    }

	public static UserEntry getUserEntry(FormsService service) throws IOException, ServiceException {
        // strip away the tenant from the user name if any
        String username = service.getUsername();
        if (username.contains("@"))
            username = username.split("@")[0];
        URL userURL = service.getEntryURL(UserEntry.class, username);
        return service.getEntry(userURL, UserEntry.class);
    }

	}
